/market/stats

Grab market stats within a range of time for a given blockchain. Elements are returned on an interval of 15 minuntes.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
"use strict";
const Shards = require("web3-shards");

const shards = Shards.API.Ethereum.V1;
shards.configure({
    apiKey: "YOUR_API_KEY", // Join the discord to get your api key. https://discord.com/invite/kJd8W7Nh7e
    maxRequestsPerSecond:5, // client-side limiter to prevent accidental burning
    logger: 1               // 0=none,1=errors,2=verbose
});

const getMarketStats = async function() {
    const page = 1;
    const endTime = parseInt(Date.now()/1000);
    const startTime = endTime - 86400; // 1 day of history
    const resp = await shards.market.getMarketStats(startTime, endTime, page);
    console.log(resp)
}

getMarketStats();
Query Params
string
enum
required
Defaults to eth

The target blockchain

Allowed:
string
enum
Defaults to 15m

The time interval between datapoints.

Allowed:
int32
Defaults to 1712626446

The epoch time seconds from which trades are searched.

int32
Defaults to 1712712846

The epoch time seconds to which trades are searched.

int32
Defaults to 1

The page from which trades are queried. Max page size is 200.

Headers
string
Defaults to db2f88b1-21cd-440b-9e8c-486a8688e34e
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain